Bug 849144 - Update fontforge in EL-5
Update fontforge in EL-5
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: fontforge (Show other bugs)
el5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 08:45 EDT by Gwyn Ciesla
Modified: 2012-09-21 16:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 16:54:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2012-08-17 08:45:44 EDT
I need to update moodle to 1.9.x.  This requires the updated dejavu-fonts to prevent font bundling.  To build that, I need fontforge to be at least 20080429, and it's currently at 20061025.

Do you see any issues with this?  If not, I'm also willing to do the update myself.
Comment 1 Kevin Fenzi 2012-08-17 11:01:59 EDT
Well, the danger is that some fonts built with the current version will no longer (re)build... 

but it's a pretty low danger. I'd say announce it on the epel-devel list and make sure it's in testing for a extra long while?
Comment 2 Gwyn Ciesla 2012-08-17 11:08:50 EDT
I'd imagine if that's the case they've since been fixed for Fedora, so I think that's probably reasonable.  Should I just go to 20080429, to be on the safe side, or further?
Comment 3 Kevin Fenzi 2012-08-17 13:26:42 EDT
Yeah, but then it means they have to update in epel5 too... perhaps a note on the fonts list would be good, just as a heads up. 

If you're going to update it might try the latest... if that fails to build go back some more?
Comment 4 Gwyn Ciesla 2012-08-17 13:37:01 EDT
True.  I'll experiment a bit before committing.  A long stint in -testing is certainly called for.
Comment 5 Gwyn Ciesla 2012-08-20 13:22:04 EDT
Going well, but I need autotrace.  Peter, if I create an EL-5 branch of autotrace, do you want to own, or be a comaintainer, or nothing at all?
Comment 6 Peter Lemenkov 2012-08-20 15:08:19 EDT
(In reply to comment #5)
> Going well, but I need autotrace.  Peter, if I create an EL-5 branch of
> autotrace, do you want to own, or be a comaintainer, or nothing at all?

Unfortunately I don't have much time to spend on any non-Erlang packages right now. So just add me to the cc list and don't forget to merge good stuff back into Rawhide (if any).
Comment 7 Gwyn Ciesla 2012-08-20 15:11:53 EDT
Understood, thanks!

Package Change Request
======================
Package Name: autotrace
New Branches: el5
Owners: limb peter
Comment 8 Gwyn Ciesla 2012-08-20 15:12:56 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-09-05 08:24:04 EDT
fontforge-20080828-1.1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fontforge-20080828-1.1.el5
Comment 10 Fedora Update System 2012-09-05 13:29:46 EDT
Package fontforge-20080828-1.1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing fontforge-20080828-1.1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-12827/fontforge-20080828-1.1.el5
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-09-21 16:54:27 EDT
fontforge-20080828-1.1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.